Subject: bug#59141: 28.1.90; Face :extend when all the line but trailing \n is invisible

From: Juri Linkov <[email-masked]>
Date: Sat, 12 Nov 2022 19:46:20 +0200

> If someone came up with a patch to allow outline.el to delimit and hide
> sections using a logic closer to magit-section's[1] (via an opt-in
> variable, to be set e.g. by major modes, so that users happy with the
> status quo are not affected), would that patch be given any
> consideration?

I suspect magit just inserts newlines without text properties
between outlines, thus avoiding the problem.  Could you send
a screenshot that shows a newline with the :extend attribute
as the final character of the outline in magit?